# 3.0.0

Release date: `2017-12-04`

## Core

- [NXDRIVE-748](https://jira.nuxeo.com/browse/NXDRIVE-748): RemoteWatcher polling now uses timestamp instead of counter
- [NXDRIVE-968](https://jira.nuxeo.com/browse/NXDRIVE-968): Improve logs disk space usage (set level to DEBUG)
- [NXDRIVE-1019](https://jira.nuxeo.com/browse/NXDRIVE-1019): Retrieve the configuration from the server (**breaking change**)
- [NXDRIVE-1036](https://jira.nuxeo.com/browse/NXDRIVE-1036): Cannot unsync an accentued root
- [NXDRIVE-1038](https://jira.nuxeo.com/browse/NXDRIVE-1038): Don't quote parameters when acquiring a token
- [NXDRIVE-1040](https://jira.nuxeo.com/browse/NXDRIVE-1040): Handle documents that are indexed but inexistent
- [NXDRIVE-1046](https://jira.nuxeo.com/browse/NXDRIVE-1046): Review the LocalClient class
- [NXDRIVE-1054](https://jira.nuxeo.com/browse/NXDRIVE-1054): Smart remote changes handling
- [NXP-23113](https://jira.nuxeo.com/browse/NXP-23113): Add new DE and JA translations

## Doc

- [NXDRIVE-755](https://jira.nuxeo.com/browse/NXDRIVE-755): Update deployment documentation

## Tests

- [NXDRIVE-317](https://jira.nuxeo.com/browse/NXDRIVE-317): Test tmp directories are not cleaned up after tear down
- [NXDRIVE-1034](https://jira.nuxeo.com/browse/NXDRIVE-1034): Test folders containing dots
- [NXDRIVE-1035](https://jira.nuxeo.com/browse/NXDRIVE-1035): Update Nuxeo version to 9.10-SNAPSHOT
- [NXDRIVE-1039](https://jira.nuxeo.com/browse/NXDRIVE-1039): Align the test REST API client following [NXP-22542](https://jira.nuxeo.com/browse/NXP-22542)
- [NXDRIVE-1042](https://jira.nuxeo.com/browse/NXDRIVE-1042): Remove non-used jobs parameters
- [NXDRIVE-1045](https://jira.nuxeo.com/browse/NXDRIVE-1045): Fix tests tearDown generating a LoginException server-side
- [NXDRIVE-1047](https://jira.nuxeo.com/browse/NXDRIVE-1047): The setup stage from Jenkins job Drive-tests is useless
- [NXDRIVE-1049](https://jira.nuxeo.com/browse/NXDRIVE-1049): Better use of Mock objects in tests

## Minor Changes

- Packaging: Updated `Send2Trash` from 1.4.1 to 1.4.2
- Packaging: Updated `psutil` from 5.4.0 to 5.4.1
- Packaging: Updated `pyobjc` from 4.0 to 4.0.1
- Packaging: Updated `pypac` from 0.3.1 to 0.4.0
- Packaging: Updated `pytest` from 3.2.3 to 3.2.5
- Packaging: Better SIP check
- \[Windows\] Tests: Use `QT_PATH` and `MINGW_PATH` envars
- \[GNU/Linux\] Tests: Use `COMPILE_WITH_DEBUG` envar

## Technical Changes

- Removed `options` keyword from `Application.__init__()`. Use `Options` instead.
- Removed `ignored_prefixes` keyword from `BaseAutomationClient.__init__()`. Use `Options.ignored_prefixes` instead.
- Removed `ignored_suffixes` keyword from `BaseAutomationClient.__init__()`. Use `Options.ignored_suffixes` instead.
- Removed `options` keyword from `CliHandler.get_manager()`. Use `Options` instead.
- Removed `options` keyword from `CliHandler.uninstall()`. Use `Options` instead.
- Added `Engine.add_to_favorites()`
- Removed `remote_watcher_delay` keyword from `Engine.__init__()`. Use `Options.delay` instead.
- Removed `Engine.get_update_url()`. Use `Options.update_site_url` instead.
- Removed `Engine.get_beta_update_url()`. Use `Options.beta_update_site_url` instead.
- Removed `ignored_prefixes` keyword from `LocalClient.__init__()`. Use `Options.ignored_prefixes` instead.
- Removed `ignored_suffixes` keyword from `LocalClient.__init__()`. Use `Options.ignored_suffixes` instead.
- Added `is_abs` keyword to `LocalClient.lock_ref()`
- Added `is_abs` keyword to `LocalClient.unlock_ref()`
- Removed `options` keyword from `Manager.__init__()`. Use `Options` instead.
- Removed `Manager.generate_device_id()`. Use `devide_id` property instead.
- Removed `Manager.get_configuration_folder()`. Use `nxdrive_home` property instead.
- Removed `Manager.get_device_id()`. Use `devide_id` property instead.
- Removed `Manager.is_checkfs()`. Use `not Options.nofscheck` property instead.
- Removed `refresh_engines` keyword from `Manager.get_version_finder()`
- Removed `Manager.is_beta_channel_available()`. Always True.
- Removed `options` keyword from `SimpleApplication.__init__()`. Use `Options` instead.
- Removed `WebDriveApi.is_beta_channel_available()`. Always True.
- Removed client/common.py::`DEFAULT_BETA_SITE_URL`. Use `Options.beta_update_site_url` instead.
- Removed client/common.py::`DEFAULT_IGNORED_PREFIXES`. Use `Options.ignored_prefixes` instead.
- Removed client/common.py::`DEFAULT_IGNORED_SUFFIXES`. Use `Options.ignored_suffixes` instead.
- Removed client/common.py::`DEFAULT_REPOSITORY_NAME`. Use `Options.repository` instead.
- Removed client/common.py::`DEFAULT_UPDATE_SITE_URL`. Use `Options.update_site_url` instead.
- Removed client/common.py::`DRIVE_STARTUP_PAGE`. Use `Options.startup_page` instead.
- Removed commandline.py::`DEFAULT_HANDSHAKE_TIMEOUT`. Use `Options.handshake_timeout` instead.
- Removed commandline.py::`DEFAULT_MAX_ERRORS`. Use `Options.max_errors` instead.
- Removed commandline.py::`DEFAULT_MAX_SYNC_STEP`. Use `Options.max_sync_step` instead.
- Removed commandline.py::`DEFAULT_QUIT_TIMEOUT`. Use `Options.quit_timeout` instead.
- Removed commandline.py::`DEFAULT_REMOTE_WATCHER_DELAY`. Use `Options.delay` instead.
- Removed commandline.py::`DEFAULT_TIMEOUT`. Use `Options.timeout` instead.
- Removed commandline.py::`DEFAULT_UPDATE_CHECK_DELAY`. Use `Options.update_check_delay` instead.
- Removed commandline.py::`DEFAULT_UPDATE_SITE_URL`. Use `Options.update_site_url` instead.
- Added logging_config.py::`configure_logger_console`
- Added logging_config.py::`configure_logger_file`
- Added options.py
